image: node:latest
stages:
  - test

workflow:
    rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
    - if: '$CI_COMMIT_BRANCH && $CI_OPEN_MERGE_REQUESTS'
      when: never
    - if: '$CI_COMMIT_BRANCH'
    - if: '$CI_PIPELINE_SOURCE == "schedule"'
    - if: '$CI_PIPELINE_SOURCE == "push"'
      when: never
 
selenium-hub:
  stage: test
  services:
    - selenium/standalone-chrome
  before_script:
    - npm install
  script:
    - npm run test
  artifacts:
    when: always
    reports:
      junit:
        - out/junit.xml
  allow_failure: true